EDIT - task #6535

MetaDataPropertyName from number to string in DB
03/23/2017 12:51 AM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 50%
Category: cdm Estimated time: 0:00 hour
Target version: CDM UML 4.7

Severity: normal

Description

MetaDataPropertyName is stored as number in CdmMetaData. We use string for TermType at other places and should do so here,
too. This allows reordering the enum.

Related issues:
Related to EDIT - task #6699: Delete term version from CdmMetaData Closed

Associated revisions

Revision cfe723e5 - 05/09/2017 06:23 PM - Andreas Miiller
fix #6535 change CdmMetaData.propertyName from int to string

Revision 440d74a5 - 05/10/2017 05:00 PM - Andreas Miiller

fix #6535 change CdmMetaData.propertyName from int to string, adapt test schema and test

Revision aabdc3fa - 05/19/2017 02:04 PM - Andreas Miiller

ref #6535 add quotation marks for hardcoded SQL propertyname parameter

Revision 6740eed5 - 06/05/2017 12:01 AM - Andreas Miiller
ref #6535 adapt TaxEdtior to new CdmMetaDataPropertyName

Revision 3¢533966 - 06/05/2017 10:01 AM - Andreas Miiller
ref #6535 final adaptations to CdmMetaDataPropertyName in taxEditor

Revision 126e4675 - 06/05/2017 06:35 PM - Andreas Miiller
ref #6258, #6535, #3734 some updates to CdmUpdater after checking against H2

Revision 2652¢39 - 06/07/2017 10:28 AM - Andreas Miiller

ref #6535 fix update script for renaming CdmMetaData.propertyName and remove old column

Revision 730d4da6 - 06/07/2017 12:30 PM - Andreas Miiller
ref #6535 fix strange bug in SQL that reads all records from CdmMetaData for propertyname = 0

Revision 825e3afb - 06/08/2017 01:15 PM - Andreas Miiller

ref #6535 fix calls to version number from other places

Revision 2¢71b889 - 06/15/2017 04:09 PM - Andreas Miiller
ref #6535 fix updated test H2 in cdmlib

Revision a7b9fdeb - 06/15/2017 04:15 PM - Andreas Miiller
ref #6535 fix updated test H2 in vaadin

Revision 5d0eae58 - 06/15/2017 04:21 PM - Andreas Miiller
ref #6535 fix updated test H2 in taxeditor
Revision 6a88d3e5 - 06/15/2017 04:21 PM - Andreas Miiller
ref #6535 fix updated test H2 in taxeditor

History

#1 - 03/23/2017 12:52 AM - Andreas Miiller

- Tracker changed from bug to task

#2 - 05/09/2017 10:48 AM - Andreas Miiller

- Status changed from New to In Progress

#3 - 05/09/2017 06:30 PM - Andreas Miiller
- Status changed from In Progress to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlib|cfe723e5bc6869c8bc0416308c54bd5caad20d2a.

#4 - 06/07/2017 12:41 PM - Andreas Miller
- Related to task #6699: Delete term version from CdmMetaData added

#5 - 06/15/2017 04:02 PM - Andreas Miuller

Update script for incorrect update

UPDATE CdmMetaData SET PropertyName = 'TERM_VERSION' WHERE PropertyNameOld = 0;
UPDATE CdmMetaData SET PropertyName = 'SCHEMA_VERSION' WHERE PropertyNameOld = 1;
UPDATE CdmMetaData SET PropertyName = 'CREATED' WHERE PropertyNameOld = 2;

ALTER TABLE CdmMetaData DROP COLUMN PropertyNameOld ;

#6 - 06/15/2017 04:25 PM - Andreas Miuller

Finally this should be fixed now.

#7 - 06/15/2017 04:26 PM - Andreas Miuller

- Status changed from Resolved to Closed
